real_number.hpp File Reference

Custom precision real numbers. More...

`#include <iostream>`
`#include <limits>`
`#include "claw/impl/real_number.tpp"`

Go to the source code of this file.

## Classes

struct | claw::make_epsilon< T >
| This class generates an epsilon value of a given precision. More...
class | claw::real_number< T >
| Custom precision real numbers. More...
struct | std::numeric_limits< claw::real_number< T > >

## Namespaces

namespace | claw
| This is the main namespace.

## Functions

template<typename T>
std::istream & | operator>> (std::istream &is, claw::real_number< T > &self)
template<typename T>
claw::real_number< T > | std::abs (const claw::real_number< T > &v)
template<typename T>
claw::real_number< T > | operator- (const claw::real_number< T > &self)
template<typename T>
claw::real_number< T > | operator- (T v, const claw::real_number< T > &self)
template<typename T>
std::ostream & | operator<< (std::ostream &os, const claw::real_number< T > &self)

## Detailed Description

Custom precision real numbers.

Author
  Julien Jorge

Definition in file real_number.hpp.